<?php if (Session::get("tipo_usuario") != "2" or Session::get("usuario_ativo") != "S"){ show_403();} ?>
<?php if ($_SERVER["REQUEST_METHOD"] != "GET") { show_403();} ?>

<?php

	import_file(DIR_MODELS."Model.class.php");
	import_file(DIR_LIBRARIES."functions.php");

	$id_produto = encrypt_decode(filter_input(INPUT_GET, "produto", FILTER_SANITIZE_STRING));

	$model = new Model();

	$result = $model->query("
		SELECT * FROM produto a
		INNER JOIN plano b ON (b.id_plano = a.id_plano) 
		INNER JOIN categoria c ON (c.id_categoria = a.id_categoria)
		INNER JOIN cidade d ON (d.id_cidade = a.id_cidade)
		INNER JOIN estado e ON (e.id_estado = a.id_estado)
		WHERE 
			id_produto = :id
	", [
		":id" => $id_produto
	]);

	$data = $result->fetch();

	$config = obter_configuracao();

	$pesquisa = filter_input(INPUT_GET, "pesquisa", FILTER_SANITIZE_STRING);
	$id_estado = (int) (isset($_GET["estado"])) ? filter_input(INPUT_GET, "estado", FILTER_SANITIZE_NUMBER_INT) : Session::get("id_estado");
	$id_cidade = (int) (isset($_GET["cidade"])) ? filter_input(INPUT_GET, "cidade", FILTER_SANITIZE_NUMBER_INT) : Session::get("id_cidade");
	$id_categoria = (!empty($_GET["categoria"])) ? (int) filter_input(INPUT_GET, "categoria", FILTER_SANITIZE_NUMBER_INT) : null;
	$id_subcategoria = (!empty($_GET["subcategoria"])) ? (int) filter_input(INPUT_GET, "subcategoria", FILTER_SANITIZE_NUMBER_INT) : null;
	$pagina = (!empty($_GET["pag"])) ? (int) filter_input(INPUT_GET, "pag", FILTER_SANITIZE_NUMBER_INT) : 1;

?>

<?php import_file(DIR_TEMPLATES."header.php", ["title" => $data->nome_produto, "active_page" => "dashboard"]); ?>

<h4 class="mb-3">
	<?php echo $data->nome_produto; ?>	
</h4>

<div class="row">
	<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 my-2">
		<!-- <div class="content-box"> -->
			<div id="carousel-produto" class="carousel slide" data-ride="carousel">
				<div class="carousel-inner">
					<?php 

						$result = $model->query("
							SELECT * FROM imagem_produto
							WHERE
								id_produto = :id
						", [
							":id" => $id_produto
						]);

						for ($i=0; $i < $result->rowCount(); $i++):
							$j = $result->fetch();

					?>
						<div class="carousel-item <?php echo ($i == 0) ? "active" : ""; ?>">
							<img src="<?php echo show_link($j->diretorio_imagem_produto); ?>" class="carousel-img-custom" style="border-radius: 0.25rem;">
						</div>
					<?php endfor; ?>
				</div>
				<a class="carousel-control-prev" href="#carousel-produto" role="button" data-slide="prev">
					<span class="carousel-control-prev-icon" aria-hidden="true"></span>
					<span class="sr-only">Previous</span>
				</a>
				<a class="carousel-control-next" href="#carousel-produto" role="button" data-slide="next">
					<span class="carousel-control-next-icon" aria-hidden="true"></span>
					<span class="sr-only">Next</span>
				</a>
			</div>
		<!-- </div> -->
	</div>
	<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 my-2">
		<div class="content-box">
			<div class="text-center mb-3">
				<?php if (!empty($data->porcentagem_desc_cliente)): ?>
					<span class="text-secondary" style="text-decoration: line-through; font-size: 20px;">
						<?php echo money_mask_BR($data->valor_produto); ?>
					</span>
					<br>
				<?php endif; ?>
				<div class="d-inline-flex align-items-center">
					<span class="text-success" style="font-size: 34px;">
						<strong><?php echo money_mask_BR($data->valor_produto - ($data->valor_produto * pct($data->porcentagem_desc_cliente))); ?></strong>
					</span>
					<span class="ml-2">
						<?php if (!empty($data->porcentagem_desc_cliente)): ?>
							<span class="badge badge-success">
								<?php echo "<i class='fa-regular fa-arrow-down'></i> ".number_format($data->porcentagem_desc_cliente, 2, ",", "")."%"; ?>
							</span><br>
						<?php endif; ?>
						<?php if (!empty($data->porcentagem_cashback)): ?>
							<span class="badge badge-info"><?php echo "Cashback ".number_format($data->porcentagem_cashback, 2, ",", "")."%"; ?></span>
						<?php endif; ?>
					</span>
				</div>

				<div style="color: <?php echo $data->cor_plano; ?>; font-size: 18px;">
					<?php echo "<i class='fa-regular fa-medal'></i> ".$data->nome_plano; ?>	
				</div>

				<div class="mt-3">
					<div class="text-secondary">
						<?php echo "<i class='fa-regular fa-tags'></i> ".$data->nome_categoria; ?>	
					</div>

					<div class="text-secondary">
						<?php echo "<i class='fa-regular fa-map-marker-alt'></i> ".$data->nome_cidade.", ".$data->nome_estado; ?>	
					</div>					
				</div>
			</div>

			<div id="btns" class="mt-3" style="width: 300px; margin: auto;">
				<button type="button" id="comprar-produto" class="btn btn-success btn-lg btn-block mb-3">
					<i class="fa-regular fa-shopping-bag"></i> Comprar Agora
				</button>

				<button type="button" id="adicionar-carrinho" class="btn btn-outline-success btn-lg btn-block">
					<i class="fa-regular fa-cart-plus"></i> Adicionar ao Carrinho
				</button>
			</div>

			<div id="caixa-compra" class="d-none">
				<div class="card card-body">
					<form id="form-compra">
						<div class="form-group">
							<label for="forma-pagamento">Forma de Pagamento</label>
							<select name="forma_pagamento" id="forma-pagamento" class="form-control">
								<option value="">Selecione um...</option>
								<option value="<?php echo $config->tipo_forma_pagamento; ?>"><?php echo $config->tipo_forma_pagamento; ?></option>
								<option value="Saldo">Saldo</option>
								<option value="Transferência Bancária">Transferência Bancária</option>
							</select>
						</div>
						<input type="hidden" name="id_produto" class="d-none" value="<?php echo encrypt_encode($id_produto); ?>">
						<input type="hidden" name="valor_produto" class="d-none" value="<?php echo floatval($data->valor_produto - $data->valor_produto * pct($data->porcentagem_desc_cliente)); ?>">

						<button type="submit" class="btn btn-success my-2">
							<i class="fa-regular fa-check"></i> Finalizar Compra
						</button>

						<button type="button" id="cancelar" class="btn btn-secondary my-2">
							<i class="fa-regular fa-times"></i> Cancelar
						</button>
					</form>
				</div>
				<div id="info-bancaria" class="alert mt-3 mb-0" style="display: none; border: 1px solid rgba(0,0,0,0.125); border-radius: 0.25rem;">
					<h5 class="mb-3">
						<?php echo $config->nome_banco; ?>
					</h5>

					<p class="mb-0">
						<strong>Agência:</strong> <?php echo $config->numero_agencia; ?>
					</p>
					<p class="mb-0">
						<strong>Conta:</strong> <?php echo $config->numero_conta; ?>
					</p>
					<p>
						<strong>PIX:</strong> <?php echo $config->pix; ?>
					</p>

					<p class="mb-0">
						<strong>Razão Social:</strong> <?php echo $config->razao_social; ?>
					</p>
					<p>
						<strong>CNPJ:</strong> <?php echo $config->cnpj_empresa; ?>
					</p>
					<p class="mb-0">
						<strong>Aviso:</strong> 
						Envie o comprovante de transferência bancária no e-mail 
						<a href="javascript:void(0)" onclick="copyText('<?php echo $config->email_confirmacao; ?>', function(){
							$.toast({
								heading: 'Aviso',
								text: 'E-mail copiado com sucesso!',
								icon: 'success',
								hideAfter: 5000,
								loader: true
							})
						})">
							<?php echo $config->email_confirmacao; ?>
						</a> 
						em até 72h para está cofirmando o seu pagamento!
					</p>
				</div>
			</div>
		</div>
	</div>
</div>

<?php if (!empty($data->descricao_produto)): ?>
	<div class="content-box mt-3">
		<h5 class="mb-3">Descrição</h5>
		<?php echo htmlspecialchars_decode($data->descricao_produto); ?>
	</div>
<?php endif; ?>

<?php if (!empty($data->observacao_produto)): ?>
	<div class="content-box mt-3">
		<h5 class="mb-3">Observações</h5>
		<?php echo htmlspecialchars_decode($data->observacao_produto); ?>
	</div>
<?php endif; ?>

<a href="<?php echo show_link("/dashboard/?pesquisa=".$pesquisa."&categoria=".$id_categoria."&subcategoria=".$id_subcategoria."&estado=".$id_estado."&cidade=".$id_cidade."&pag=".$pagina); ?>" class="btn btn-secondary mt-3">
	<i class="fa-regular fa-arrow-left"></i> Voltar
</a>

<script>
	$("#adicionar-carrinho").click(function(){
		$.ajax({
			type: "POST",
			data: {
				id_produto: "<?php echo $id_produto; ?>"
			},
			url: "<?php echo show_link("/adicionar-carrinho-compra/"); ?>",
			async: true
		}).then(function(response){
			var result = $.parseJSON(response);
			
			if (result.status == true) {
				$.toast({
					heading: "Aviso",
					text: "Produto Adicionado ao Carrinho!",
					icon: "success",
					hideAfter: 5000,
					loader: true
				});
			}
			else{
				$.toast({
					heading: "Aviso",
					text: "Erro ao Adicionar ao Carrinho!",
					icon: "error",
					loader: true
				});
			}
		}, function(error){
			console.log("Error");
		});
	});

	$("#forma-pagamento").click(function(){
		if ($(this).val() == "Transferência Bancária") {
			$("#info-bancaria").show();
		}
		else{
			$("#info-bancaria").fadeOut(0);
		}
	});

	$("#form-compra").submit(function(event){
		event.preventDefault();

		var form = $(this);

		$.ajax({
			"type": "POST",
			"data": form.serialize(),
			"url": "<?php echo show_link("/comprar-produto/"); ?>",
			"async": true 
		}).then(function(response){
			var result = $.parseJSON(response);

			if (result.status == true) {
				if (result.tipo == "pagseguro") {
					window.location.href = result.link_pagseguro;
				}
				else{
					$.toast({
						heading: "Aviso",
						text: "Compra Realizada com Sucesso!",
						icon: "success",
						loader: true
					});

					$.toast({
						heading: "Aviso",
						text: "A compra terá de passar por uma avaliação antes de ser altorizada. Por favor aguarde!",
						icon: "info",
						hideAfter: 5000,
						loader: true
					});

					$("#btns").removeClass("d-none");
					$("#caixa-compra").addClass("d-none");
				}
			}
			else if (result.status == false && result.motivo == "saldo") {
				$.toast({
					heading: "Aviso",
					text: "Não foi possível finalizar a compra. Você não possui saldo suficiente!",
					icon: "warning",
					hideAfter: 5000,
					loader: true
				});
			}
			else if (result.status == false && result.motivo == "quantidade") {
				$.toast({
					heading: "Aviso",
					text: "Produto Esgotado!",
					icon: "warning",
					hideAfter: 5000,
					loader: true
				});
			}
			else{
				$.toast({
					heading: "Aviso",
					text: "Erro ao Realizar a Compra!",
					icon: "error",
					loader: true
				});
			}
		}, function(error){
			console.log("Erro: "+error);
		});
	});

	$("#comprar-produto").click(function(){
		$("#btns").addClass("d-none");
		$("#caixa-compra").removeClass("d-none");
	});

	$("#cancelar").click(function(){
		$("#btns").removeClass("d-none");
		$("#caixa-compra").addClass("d-none");
	});
</script>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>